# Class DeleteCommand

java.lang.Object
org.apache.zookeeper.cli.CliCommand
org.apache.zookeeper.cli.DeleteCommand

public class DeleteCommand extends CliCommand
delete command for cli

## Field Summary

### Fields inherited from class CliCommand

`err, out, zk`

## Constructor Summary

Constructors
Constructor
Description
`DeleteCommand()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`exec()`
`CliCommand`
`parse(String[] cmdArgs)`
parse the command arguments

### Methods inherited from class CliCommand

`addToMap, getCmdStr, getOptionStr, getUsageStr, setErr, setOut, setZk`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DeleteCommand

public DeleteCommand()

## Method Details

### parse

public CliCommand parse(String[] cmdArgs) throws CliParseException
Description copied from class: `CliCommand`
parse the command arguments

Specified by:
  `parse` in class `CliCommand`
Parameters:
  `cmdArgs` -
Returns:
  this CliCommand
Throws:
  `CliParseException`

### exec

public boolean exec() throws CliException

Specified by:
  `exec` in class `CliCommand`
Returns:
  true if command has watch option, false otherwise
Throws:
  `CliException`